microsoft-foundry.rest.security.o-auth2-auth
Deployments
List deployments
GET
/deployments
Returns the deployed models available in the current project, optionally filtered by publisher, model name, or deployment type.
쿼리 매개 변수
api-version
string
필수
The API version to use for this operation.
modelPublisher
string
Model publisher to filter models by
modelName
string
Model name (the publisher specific name) to filter models by
deploymentType
string | enum
Type of deployment to filter list by
다음 중 하나:
string
enum
ModelDeployment
헤더 매개 변수
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
응답
The request has succeeded.
헤더
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
본문
Content-Type: application/json
value
Deployment[]
필수
The Deployment items on this page
nextLink
string
The link to the next page of items
요청
GET /deployments HTTP/1.1
응답
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json